标签 编译 下的文章

linux下通过phpize不重新编译增加openssl.so模块

切换到php安装目录的etx/openssl目录 cd /home/tao/soft/php-5.2.13/ext/openssl openssl目录下有个config.w32和config0.m4,把config0.m4改名为config.m4(不清楚什么原因,必须这么改,很重要!!!) mv config0.m4 config.m4 $PHP_PREFIX/bin/phpize或直接/usr/local/bin/phpize ./configure --with-openssl --with-php-config=/usr/local/php/bin/php-config make make test make install 在php.ini内加入以下内容: extension_dir = "/usr/local/php/lib/php/extensions/no-debug-non-zts-20060613/" extension = " ...

linux下php编译添加相应的动态扩展模块so

LINUX下PHP编译添加相应的动态扩展模块so(不需要重新编译PHP,以openssl.so为例) 网上我看到有很多相关的文章都是简述这个问题的,但毕竟因为LINUX版本众多,很多LIUNX命令或路径都有所差别,有时同样的命令却不能执行一样的操作。 这篇文章是我在实际运用当中配置成功的实例,希望对大家有所帮助,开源是来自每个人的无私帮助,每个人的成长都是需要别人的扶植!废话就说到这了! http://php.net/downloads.php (相应PHP版本下载) 1、首先确定LINUX下已安装的PHP版本,因为不同PHP版本对于追加动态模块有兼容性问题(可能路径,配置 ...